Name:		freeguide
Version:	0.11.1
Release:	%mkrel 5

Summary:	A TV Guide
License:	GPLv2+
Group:		Video/Television
URL:		http://freeguide-tv.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/freeguide-tv/%{name}-source/%{version}/%{name}-%{version}.tar.gz
Patch0:		freeguide-0.11-desktopfile-compliance.patch
Patch1:		freeguide-0.11-indexjar.patch
Patch2:		java-source-target-version.patch
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel

%description
FreeGuide is a TV guide program. It uses parser programs to extract TV
information from web pages and stores them for viewing without the need to
connect to the Internet. The viewer allows the user to view television listings
and create customized TV guides by selecting programs and by building up a
favorites list.

It works with listings for many countries.
Check the web site freeguide-TV.sf.net for details.

%prep
%setup -q
%autopatch -p1

%build
ant jar

%install
ant -Dinstall_share_dir=$RPM_BUILD_ROOT/%{_datadir} -Dinstall_bin_dir=$RPM_BUILD_ROOT/%{_bindir} -Dinstall_doc_dir=$RPM_BUILD_ROOT/%{_datadir}/doc/freeguide -Dinstall_real_dir=%{_datadir}/freeguide -Dinstall_real_doc_dir=%{_datadir}/doc/freeguide install


%files
%{_bindir}/freeguide
%{_datadir}/pixmaps/freeguide.png
%{_datadir}/pixmaps/freeguide/logo-16x16.png
%{_datadir}/pixmaps/freeguide/logo-32x32.png
%{_datadir}/pixmaps/freeguide/logo-48x48.png
%{_datadir}/pixmaps/freeguide/logo-64x64.png
%{_datadir}/pixmaps/freeguide/logo-72x72.png
%{_datadir}/pixmaps/freeguide/logo-96x96.png
%{_datadir}/applications/freeguide.desktop
%{_mandir}/man1/freeguide.1*
%{_datadir}/doc/freeguide/Developers/BuildTheLatestSource.html
%{_datadir}/doc/freeguide/Developers/ChangingTheVersion.html
%{_datadir}/doc/freeguide/Developers/CreateInstallationPackagesForDifferentPlatforms.html
%{_datadir}/doc/freeguide/Developers/Design.html
%{_datadir}/doc/freeguide/Developers/Developers.html
%{_datadir}/doc/freeguide/Developers/FutureTODOList.html
%{_datadir}/doc/freeguide/Developers/GettingTheCodeWithoutXMLTV.html
%{_datadir}/doc/freeguide/Developers/HelpUsMakeFreeGuide.html
%{_datadir}/doc/freeguide/Developers/PastTODOList.html
%{_datadir}/doc/freeguide/Developers/RecentChanges.html
%{_datadir}/doc/freeguide/Developers/Roles.html
%{_datadir}/doc/freeguide/Developers/RunTheNightlyBuild.html
%{_datadir}/doc/freeguide/Developers/CodeRules.html
%{_datadir}/doc/freeguide/Developers/SideBar.html
%{_datadir}/doc/freeguide/Developers/SourceLayout.html
%{_datadir}/doc/freeguide/Developers/TODOList.html
%{_datadir}/doc/freeguide/Developers/TranslateFreeGuide.html
%{_datadir}/doc/freeguide/DownloadAndInstall/BuildFreeGuideOnMac.html
%{_datadir}/doc/freeguide/DownloadAndInstall/DownloadAndInstall.html
%{_datadir}/doc/freeguide/DownloadAndInstall/FreeBSD.html
%{_datadir}/doc/freeguide/DownloadAndInstall/InstallXMLTVFromSource.html
%{_datadir}/doc/freeguide/DownloadAndInstall/Linux.html
%{_datadir}/doc/freeguide/DownloadAndInstall/LinuxDebian.html
%{_datadir}/doc/freeguide/DownloadAndInstall/LinuxGentoo.html
%{_datadir}/doc/freeguide/DownloadAndInstall/LinuxOthers.html
%{_datadir}/doc/freeguide/DownloadAndInstall/LinuxRPM.html
%{_datadir}/doc/freeguide/DownloadAndInstall/LinuxUbuntu.html
%{_datadir}/doc/freeguide/DownloadAndInstall/MacOSX.html
%{_datadir}/doc/freeguide/DownloadAndInstall/Other.html
%{_datadir}/doc/freeguide/DownloadAndInstall/RecentChanges.html
%{_datadir}/doc/freeguide/DownloadAndInstall/SideBar.html
%{_datadir}/doc/freeguide/DownloadAndInstall/Windows.html
%{_datadir}/doc/freeguide/FAQ/BadEntrySeenInRTChannels.html
%{_datadir}/doc/freeguide/FAQ/CantSeeChannels.html
%{_datadir}/doc/freeguide/FAQ/ChangeChannelOrder.html
%{_datadir}/doc/freeguide/FAQ/ChangeGTKTheme.html
%{_datadir}/doc/freeguide/FAQ/ChangeTimeZone.html
%{_datadir}/doc/freeguide/FAQ/ChooseChannelsFails.html
%{_datadir}/doc/freeguide/FAQ/DateManipError.html
%{_datadir}/doc/freeguide/FAQ/DiagnosingProblems.html
%{_datadir}/doc/freeguide/FAQ/DownloadListingsFromCron.html
%{_datadir}/doc/freeguide/FAQ/ExecutionError.html
%{_datadir}/doc/freeguide/FAQ/FAQ.html
%{_datadir}/doc/freeguide/FAQ/FreezeDuringDownload.html
%{_datadir}/doc/freeguide/FAQ/InvalidUTF8.html
%{_datadir}/doc/freeguide/FAQ/JavaVersion.html
%{_datadir}/doc/freeguide/FAQ/MissingListings.html
%{_datadir}/doc/freeguide/FAQ/MissingLookAndFeel.html
%{_datadir}/doc/freeguide/FAQ/MoreThanOneWeeksListings.html
%{_datadir}/doc/freeguide/FAQ/NonXMLTVGrabber.html
%{_datadir}/doc/freeguide/FAQ/ProxyServer.html
%{_datadir}/doc/freeguide/FAQ/RecentChanges.html
%{_datadir}/doc/freeguide/FAQ/RunningOutOfMemory.html
%{_datadir}/doc/freeguide/FAQ/RunningXMLTVManually.html
%{_datadir}/doc/freeguide/FAQ/SettingTheTZEnvironmentVariable.html
%{_datadir}/doc/freeguide/FAQ/StoppedWorking.html
%{_datadir}/doc/freeguide/FAQ/TurnOffUpgradeCheck.html
%{_datadir}/doc/freeguide/FAQ/UninstallLinux.html
%{_datadir}/doc/freeguide/FAQ/UninstallWindows.html
%{_datadir}/doc/freeguide/FAQ/UpgradeXMLTV.html
%{_datadir}/doc/freeguide/FAQ/XmltvCrash.html
%{_datadir}/doc/freeguide/Main/COPYING.html
%{_datadir}/doc/freeguide/Main/ConfigureProxyOnLinux.html
%{_datadir}/doc/freeguide/Main/ConfigureProxyOnWindows.html
%{_datadir}/doc/freeguide/Main/ContactUs.html
%{_datadir}/doc/freeguide/Main/Credits.html
%{_datadir}/doc/freeguide/Main/GNUGeneralPublicLicense.html
%{_datadir}/doc/freeguide/Main/GroupAttributes.html
%{_datadir}/doc/freeguide/Main/HomePage.html
%{_datadir}/doc/freeguide/Main/Links.html
%{_datadir}/doc/freeguide/Main/PmWikiInfo.html
%{_datadir}/doc/freeguide/Main/RecentChanges.html
%{_datadir}/doc/freeguide/Main/Screenshots.html
%{_datadir}/doc/freeguide/Main/SignUpForSchedulesDirect.html
%{_datadir}/doc/freeguide/Main/SiteMap.html
%{_datadir}/doc/freeguide/Main/WikiSandbox.html
%{_datadir}/doc/freeguide/PmWiki/BasicEditing.html
%{_datadir}/doc/freeguide/PmWiki/DocumentationIndex.html
%{_datadir}/doc/freeguide/PmWiki/InitialSetupTasks.html
%{_datadir}/doc/freeguide/PmWiki/TextFormattingRules.html
%{_datadir}/doc/freeguide/Site/AllRecentChanges.html
%{_datadir}/doc/freeguide/Site/Search.html
%{_datadir}/doc/freeguide/UserGuide/ChoosingChannels.html
%{_datadir}/doc/freeguide/UserGuide/Features.html
%{_datadir}/doc/freeguide/UserGuide/ListView.html
%{_datadir}/doc/freeguide/UserGuide/LookAndFeel.html
%{_datadir}/doc/freeguide/UserGuide/RecentChanges.html
%{_datadir}/doc/freeguide/UserGuide/RunningForTheFirstTime.html
%{_datadir}/doc/freeguide/UserGuide/SideBar.html
%{_datadir}/doc/freeguide/UserGuide/TheMainScreen.html
%{_datadir}/doc/freeguide/UserGuide/UserGuide.html
%{_datadir}/doc/freeguide/index.html
%{_datadir}/doc/freeguide/pub/skins/plain-freeguide/favicon.gif
%{_datadir}/doc/freeguide/pub/skins/plain-freeguide/plain1.css
%{_datadir}/doc/freeguide/pub/skins/plain-freeguide/plain2.css
%{_datadir}/doc/freeguide/uploads/FAQ/AllChannels.png
%{_datadir}/doc/freeguide/uploads/FAQ/CharacterEncoding.png
%{_datadir}/doc/freeguide/uploads/FAQ/ChooseChannels.png
%{_datadir}/doc/freeguide/uploads/FAQ/CopyXMLTVCommand.png
%{_datadir}/doc/freeguide/uploads/FAQ/EditShortcut-1.png
%{_datadir}/doc/freeguide/uploads/FAQ/EditShortcut-2.png
%{_datadir}/doc/freeguide/uploads/FAQ/SettingTZ-1.png
%{_datadir}/doc/freeguide/uploads/FAQ/SettingTZ-2.png
%{_datadir}/doc/freeguide/uploads/FAQ/ShowOutput.png
%{_datadir}/doc/freeguide/uploads/FAQ/TurnOffUpgradeCheck.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Channel_Sets.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Channel_Sets_2.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Download.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-FreeGuide-0.10.7-small.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-FreeGuide-0.10.7.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-FreeGuide_Main_Screen.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Set_grabber_config_1.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Set_grabber_config_2.png
%{_datadir}/doc/freeguide/uploads/Main/Screenshot-Vertical_main_screen.png
%{_datadir}/doc/freeguide/uploads/Main/freeguide-logo-50.png
%{_datadir}/doc/freeguide/uploads/UserGuide/listview-filter-channel.png
%{_datadir}/doc/freeguide/uploads/UserGuide/listview-filter-time.png
%{_datadir}/doc/freeguide/uploads/UserGuide/listview-filter-time-dialog.png
%{_datadir}/doc/freeguide/uploads/UserGuide/listview-filter-title.png
%{_datadir}/doc/freeguide/uploads/UserGuide/listview.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-Downloading.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-1.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-2.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-3.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-4.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-5.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-6.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-First_Time_Wizard-7.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-Main_Screen-small.png
%{_datadir}/doc/freeguide/uploads/UserGuide/Screenshot-Want_to_download_listings.png
%{_datadir}/doc/freeguide/uploads/UserGuide/channel-set.png
%{_datadir}/doc/freeguide/uploads/UserGuide/channel-sets.png
%{_datadir}/doc/freeguide/uploads/UserGuide/main-screen.png
%{_datadir}/doc/freeguide/uploads/UserGuide/plus-minus.png
%{_datadir}/doc/freeguide/uploads/UserGuide/print-this.png
%{_datadir}/freeguide/FreeGuide.jar


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 0.11.1-5.mga9
+ Revision: 1828835
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 0.11.1-4.mga8
+ Revision: 1653091
- set java source and target version to 1.8 to fix build

* Wed Feb 12 2020 umeabot <umeabot> 0.11.1-3.mga8
+ Revision: 1501395
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.11.1-2.mga7
+ Revision: 1278376
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 0.11.1-1.mga7
+ Revision: 1212719
- Update to version 0.11.1

* Fri Feb 26 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 979623
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 740474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 679338
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 521323
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 barjac <barjac> 0.11-3.mga3
+ Revision: 390242
- update group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 16 2012 shlomif <shlomif> 0.11-1.mga3
+ Revision: 281600
- Change release to mkrel
- Imported from aghero based on the SRPM of freeguide

